using EDPlayerJournal.Entries;

namespace EDPlayerJournal.BGS.Parsers;

internal class ApproachSettlementParser : ITransactionParserPart {
    public void Parse(Entry entry, TransactionParserContext context, TransactionParserOptions options, TransactionList transactions) {
        ApproachSettlementEntry? approach = entry as ApproachSettlementEntry;
        if (approach == null || string.IsNullOrEmpty(approach.Name)) {
            return;
        }

        context.Settlement = approach.Name;
    }
}

